import fasttext
from iso_language_codes import *

def detectLanguage(option ,text):
    if(option == "1"):
        #załadowanie gotowego modelu
        model = fasttext.load_model("lid.176.bin")

        #analiza języka
        predictions = model.predict(text, k=3)
        print(predictions)

    if(option == "2"):
        #trening na podstawie własnych danych
        model = fasttext.train_supervised("./training_data.txt",
                                      epoch = 198,
                                      lr=0.5,
                                      dim = 200,
                                      ws = 5,
                                      loss="softmax")

        #analiza języka
        predictions = model.predict(text, k=3)
        print(predictions)

    if(option == "3"):

        #model = fasttext.train_supervised("./training_data.txt",
        #                              epoch = 198,
        #                              lr=0.5,
        #                              dim = 200,
        #                              ws = 5,
        #                              loss="softmax")

        #zapisanie własnego modelu
        #model.save_model("model_from_training_data_v2")

        #załadowanie własnego modelu
        model = fasttext.load_model("model_from_training_data_v2")

        #analiza języka
        predictions = model.predict(text, k=3)
        print(predictions)


option = input("\nWhat model do you want to use?\n1-predefined\n2-trained\n3-trained on more data\n")
text = input("Put in a phrase to analyse: ")
detectLanguage(option, text)